| Bsoft 2.0.5 Bernard's software package

Functions | Variables
tcltk_bxtal.cpp File Reference

A shared object to manage micrograph parameter files in TCL/Tk. More...

`#include <tk.h>`
`#include "tcltk_bxtal.h"`
`#include "mg_xtal.h"`
`#include "linked_list.h"`
`#include "timer.h"`
`#include "utilities.h"`
`#include <sys/stat.h>`

Go to the source code of this file.

## Functions
Tcl_Obj * | spot_count (Bmicrograph *mg)
Tcl_Obj * | spot_ids (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_reindex (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_location (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_fom (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_select (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_move (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_create (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_delete (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_unitcell_vectors (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_generate (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | spot_mask (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * | do_spot (Bproject *project, int objc, Tcl_Obj *CONST objv[])

## Variables
int | verbose
Bimage * | imglist

## Detailed Description

A shared object to manage micrograph parameter files in TCL/Tk.

Author
  Bernard Heymann

Date
  Created: 20030813
  Modified: 20181030

Definition in file tcltk_bxtal.cpp.

## Function Documentation

## ◆ do_spot()

Tcl_Obj* do_spot | ( | Bproject * | project,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 68 of file tcltk_bxtal.cpp.

## ◆ spot_count()

Tcl_Obj * spot_count | ( | Bmicrograph * | mg | ) |

Definition at line 154 of file tcltk_bxtal.cpp.

## ◆ spot_create()

Tcl_Obj * spot_create | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 348 of file tcltk_bxtal.cpp.

## ◆ spot_delete()

Tcl_Obj * spot_delete | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 384 of file tcltk_bxtal.cpp.

## ◆ spot_fom()

Tcl_Obj * spot_fom | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 249 of file tcltk_bxtal.cpp.

## ◆ spot_generate()

Tcl_Obj * spot_generate | ( | Bmicrograph * | mg,
|  | Bimage * | p,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 428 of file tcltk_bxtal.cpp.

## ◆ spot_ids()

Tcl_Obj * spot_ids | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 169 of file tcltk_bxtal.cpp.

## ◆ spot_location()

Tcl_Obj * spot_location | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 222 of file tcltk_bxtal.cpp.

## ◆ spot_mask()

Tcl_Obj * spot_mask | ( | Bmicrograph * | mg,
|  | Bimage * | p,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 446 of file tcltk_bxtal.cpp.

## ◆ spot_move()

Tcl_Obj * spot_move | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 314 of file tcltk_bxtal.cpp.

## ◆ spot_reindex()

Tcl_Obj * spot_reindex | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 189 of file tcltk_bxtal.cpp.

## ◆ spot_select()

Tcl_Obj * spot_select | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 273 of file tcltk_bxtal.cpp.

## ◆ spot_unitcell_vectors()

Tcl_Obj * spot_unitcell_vectors | ( | Bmicrograph * | mg,
|  | int | objc,
|  | Tcl_Obj *CONST | objv[]
| ) |  |

Definition at line 419 of file tcltk_bxtal.cpp.

## Variable Documentation

## ◆ imglist

Bimage* imglist

Definition at line 30 of file bshow.cpp.

## ◆ verbose

int verbose